[android-components](../../index.md) / [mozilla.components.concept.sync](../index.md) / [AccountObserver](index.md) / [onProfileUpdated](./on-profile-updated.md)

# onProfileUpdated

`abstract fun onProfileUpdated(profile: `[`Profile`](../-profile/index.md)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/sync/src/main/java/mozilla/components/concept/sync/OAuthAccount.kt#L73)

Account's profile is now available.

### Parameters

`profile` - A fresh version of account's [Profile](../-profile/index.md).